Genivia - uddi2__businessService Class Reference

|  | Home | Documentation | uddi2__businessService Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
uddi2__businessService Class Reference

Schema urn:uddi-org:api_v2:"businessService". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__businessService:
[legend]

## Public Attributes
std::vector< uddi2__name * > | name
| Vector of uddi2__name* with length 0..unbounded. More...
std::vector< uddi2__description * > | description
| Vector of uddi2__description* with length 0..unbounded. More...
uddi2__bindingTemplates * | bindingTemplates
| Element reference "urn:uddi-org:api_v2":bindingTemplates. More...
uddi2__categoryBag * | categoryBag
| Element reference "urn:uddi-org:api_v2":categoryBag. More...
uddi2__serviceKey | serviceKey
| Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey. More...
uddi2__businessKey | businessKey
| Attribute businessKey of type "urn:uddi-org:api_v2":businessKey. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"businessService".

## Member Data Documentation

uddi2__bindingTemplates* uddi2__businessService::bindingTemplates

Element reference "urn:uddi-org:api_v2":bindingTemplates.

Optional element

uddi2__businessKey uddi2__businessService::businessKey

Attribute businessKey of type "urn:uddi-org:api_v2":businessKey.

Optional attribute

uddi2__categoryBag* uddi2__businessService::categoryBag

Element reference "urn:uddi-org:api_v2":categoryBag.

Optional element

std::vector<uddi2__description* > uddi2__businessService::description

Vector of uddi2__description* with length 0..unbounded.

std::vector<uddi2__name* > uddi2__businessService::name

Vector of uddi2__name* with length 0..unbounded.

uddi2__serviceKey uddi2__businessService::serviceKey

Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey.

Required attribute

struct soap* uddi2__businessService::soap

A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- uddi_v2.h